Description

This is apparently related to an issue in Puppet --

http://projects.puppetlabs.com/issues/show/3949

Began getting the following for all reports:

Processing ReportsController#create to yml (for 127.0.0.1 at 2010-06-23 18:19:56) [POST]
Parameters: {"format"=>"yml", "action"=>"create", "controller"=>"reports", "report"=>"[FILTERED]"}
processing report for <puppet_client>

Failed to process report for <puppet_client> due to:undefined method “name' for "RRDtool":String

Completed in 31ms (View: 0, DB: 14) | 500 Internal Server Error [hitp:/&lt;puppet_server&gt;/reports/create?format=yml]

Apparently this is due to RRDTool libraries not being loaded -- adding "require 'RRDTool™ in Foreman's environment.rb clears the
problem up.

The fix was suggested by Volcane, it's not mine.

Associated revisions

Revision 5cd14993 - 06/25/2010 07:15 AM - Ohad Levy

fixes #329 - trying to recover from serialization side effects

Revision 0e4f1b41 - 06/30/2010 06:47 PM - Ohad Levy
fixes #329 - Errors parsing RRDs

History

#1 - 06/24/2010 03:17 AM - Ohad Levy

- Target version set to 0.1-6

hmm... that's actually a puppet bug (effected version is 0.25.5) and is already fixed at http:/projects.reductivelabs.com/issues/3949
| guess a quick workaround if foreman is to require RRD with a rescue block (e.g. for the people who don't have it installed).

#2 - 06/24/2010 05:43 PM - Eric Shamow

Agreed that it's a Puppet bug, but since Foreman is servicing Puppet and users are more likely to have a current Foreman but a slightly older
Puppetmaster, | think a rescue block is a good idea -- and especially for those who are having the problem now with 0.25.5.

#3 - 06/25/2010 07:16 AM - Ohad Levy
- Category set to Puppet Reports
- Assignee set to Ohad Levy

#4 - 06/25/2010 07:19 AM - Ohad Levy
- Status changed from New to Ready For Testing
http://projects.puppetlabs.com/issues/show/3949
http://&lt;puppet_server&gt;/reports/create?format=yml
http://projects.reductivelabs.com/issues/3949

- % Done changed from 0 to 100

Applied in changeset 5cd149934cd6cf09d98e3dbd5de8c1bcae85¢f65.

#5 - 06/29/2010 11:04 PM - Robin Bowes
There's a typo in the changeset - it's RRDtool not RRDTool (small t).

#6 - 06/29/2010 11:05 PM - Robin Bowes

Let me be clear:

In config/initializers/puppet.rb, it should say:

if Facter.puppetversion == "0.25.5"
begin
require 'RRDtool'
rescue
nil
end
end

#7 - 06/30/2010 08:40 PM - Ohad Levy
Applied in changeset 0e4f1b416d4dc40602ded94dc6cabec6aa90700e.

#8 - 07/19/2010 06:36 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
